SmartMemory
POST
/memory/decisions/pending/create

Create a pending decision (Acceptance Case) with unresolved requirements.

Returns the decision including server-generated requirement_ids. The caller uses those ids with /pending/{decision_id}/resolve.

Authorization

AuthorizationBearer <token>

Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create a pending decision (Acceptance Case) with unresolved requirements.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/memory/decisions/pending/create" \  -H "Content-Type: application/json" \  -d '{    "content": "string",    "requirements": [      {        "description": "string"      }    ]  }'
null
{
  "detail": {
    "code": "invalid_scoped_validity",
    "message": "string",
    "retryable": false
  }
}
{
  "detail": {
    "code": "invalid_scoped_validity",
    "message": "string",
    "retryable": false
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
{
  "detail": {
    "code": "invalid_scoped_validity",
    "message": "string",
    "retryable": false
  }
}